%define pkg_name        Apache-OutputChain
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 3.n0i.3

Summary:       Chain output of stacked handlers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JA/JANPAZ/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Apache)

%global perl_filter_req 'perl\\(Apache::SSI'


%description
This module allows chaining perl of handlers in Apache, which allows you to
make filter modules that take output from previous handlers, make some
modifications, and pass the output to the next handler or out to browser.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu Jun 14 2007 Marius Feraru <altblue@n0i.net> - 0.11-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9

* Sun Feb 01 2004 Marius FERARU <altblue@n0i.net> 0:0.11-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 0.11-0.n0i
- Initial build.
